# Form implementation generated from reading ui file 'src/eric7/Plugins/VcsPlugins/vcsMercurial/HgUserConfigHostMinimumProtocolDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_HgUserConfigHostMinimumProtocolDialog(object):
    def setupUi(self, HgUserConfigHostMinimumProtocolDialog):
        HgUserConfigHostMinimumProtocolDialog.setObjectName("HgUserConfigHostMinimumProtocolDialog")
        HgUserConfigHostMinimumProtocolDialog.resize(450, 110)
        HgUserConfigHostMinimumProtocolDialog.setSizeGripEnabled(True)
        self.gridLayout = QtWidgets.QGridLayout(HgUserConfigHostMinimumProtocolDialog)
        self.gridLayout.setObjectName("gridLayout")
        self.label = QtWidgets.QLabel(parent=HgUserConfigHostMinimumProtocolDialog)
        self.label.setObjectName("label")
        self.gridLayout.addWidget(self.label, 0, 0, 1, 1)
        self.hostEdit = QtWidgets.QLineEdit(parent=HgUserConfigHostMinimumProtocolDialog)
        self.hostEdit.setClearButtonEnabled(True)
        self.hostEdit.setObjectName("hostEdit")
        self.gridLayout.addWidget(self.hostEdit, 0, 1, 1, 1)
        self.hashLabel = QtWidgets.QLabel(parent=HgUserConfigHostMinimumProtocolDialog)
        self.hashLabel.setObjectName("hashLabel")
        self.gridLayout.addWidget(self.hashLabel, 1, 0, 1, 1)
        self.horizontalLayout = QtWidgets.QHBoxLayout()
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.minimumProtocolComboBox = QtWidgets.QComboBox(parent=HgUserConfigHostMinimumProtocolDialog)
        self.minimumProtocolComboBox.setObjectName("minimumProtocolComboBox")
        self.horizontalLayout.addWidget(self.minimumProtocolComboBox)
        spacerItem = QtWidgets.QSpacerItem(178, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.horizontalLayout.addItem(spacerItem)
        self.gridLayout.addLayout(self.horizontalLayout, 1, 1, 1, 1)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=HgUserConfigHostMinimumProtocolDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.gridLayout.addWidget(self.buttonBox, 2, 0, 1, 2)

        self.retranslateUi(HgUserConfigHostMinimumProtocolDialog)
        self.buttonBox.accepted.connect(HgUserConfigHostMinimumProtocolDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(HgUserConfigHostMinimumProtocolDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(HgUserConfigHostMinimumProtocolDialog)
        HgUserConfigHostMinimumProtocolDialog.setTabOrder(self.hostEdit, self.minimumProtocolComboBox)

    def retranslateUi(self, HgUserConfigHostMinimumProtocolDialog):
        _translate = QtCore.QCoreApplication.translate
        HgUserConfigHostMinimumProtocolDialog.setWindowTitle(_translate("HgUserConfigHostMinimumProtocolDialog", "Minimum Protocol"))
        self.label.setText(_translate("HgUserConfigHostMinimumProtocolDialog", "Host:"))
        self.hostEdit.setToolTip(_translate("HgUserConfigHostMinimumProtocolDialog", "Enter the host name"))
        self.hostEdit.setPlaceholderText(_translate("HgUserConfigHostMinimumProtocolDialog", "Enter Hostname"))
        self.hashLabel.setText(_translate("HgUserConfigHostMinimumProtocolDialog", "Minimum Protocol:"))
